package cn.com.countrygarden.bi.main.dao.dataMigration;

import cn.com.countrygarden.bi.main.model.hi_psndoc_train;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface HiPsndocTrainMapper {
   public void insertOrUpdatePlus(@Param("bd") List<hi_psndoc_train> bd);

   void insertErrorInfo(@Param("errorPageIndex") int errorPageIndex, @Param("errorMsg") String errorMsg);

    Long getMaxId();

    /**
     * 清空业务表
     */
    void truncateTable();

    /**
     * 中间表至业务表
     */
    void midToBusness(@Param("startId")Long startId, @Param("endId")Long endId);

    Long getMinId();
}